
Sistema de Radar basado en plataforma Redpitaya - Task #898

Milestone # 815 (New): Implementar los bloques de la cadena de recepción

Familiarizarse con la lectura/escritura, transferencia de muestras

01/25/2017 04:08 PM - Haris Chaudhry

Status: In progress Start date: 01/03/2017

Priority: Normal Due date:  

Assignee: Haris Chaudhry % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 1.0 Spent time: 0.00 hour

Description

Como extraer el archivo desde la Red Pitaya, o hacer streaming de la Red Pitaya a la PC (que contendría la aplicación que

plotea?)...

Hacer una aplicacion en python que reciba datos por UDP o TCP desde el GNU Radio (se pierden datos?)

Ver los tipos de datos que se envian/reciben y interpretar adecuandamente: float, complex (como recibir intercalado...), byte, ...

History

#1 - 01/25/2017 04:39 PM - Haris Chaudhry

- Status changed from New to In progress

- Assignee set to Haris Chaudhry

- Target version set to Version 1.0

- Start date changed from 01/25/2017 to 01/03/2017

#2 - 02/13/2017 04:20 PM - Haris Chaudhry

- % Done changed from 40 to 100

En caso de streaming se decidió usar el protocolo TCP/IP, estando la aplicación Python como servidor (y GNU Radio Companion como cliente).

Ya se consiguió leer datos complejos a través de python (numpy)

#3 - 02/13/2017 04:21 PM - Haris Chaudhry

Haris Chaudhry wrote:

En caso de streaming se decidió usar el protocolo TCP/IP (en el caso de UDP, se perdían algunas muestras), estando la aplicación Python

como servidor (y GNU Radio Companion como cliente).

Ya se consiguió leer datos complejos a través de python (numpy)
